#ifndef crypto_kem_pqrsa20_H
#define crypto_kem_pqrsa20_H

#define crypto_kem_pqrsa20_ref_SECRETKEYBYTES 3145728LL
#define crypto_kem_pqrsa20_ref_PUBLICKEYBYTES 1048576LL
#define crypto_kem_pqrsa20_ref_CIPHERTEXTBYTES 1048576LL
#define crypto_kem_pqrsa20_ref_BYTES 32
 
#ifdef __cplusplus
extern "C" {
#endif
extern int crypto_kem_pqrsa20_ref_keypair(unsigned char *,unsigned char *);
extern int crypto_kem_pqrsa20_ref_enc(unsigned char *,unsigned char *,const unsigned char *);
extern int crypto_kem_pqrsa20_ref_dec(unsigned char *,const unsigned char *,const unsigned char *);
#ifdef __cplusplus
}
#endif

#define crypto_kem_pqrsa20_keypair crypto_kem_pqrsa20_ref_keypair
#define crypto_kem_pqrsa20_enc crypto_kem_pqrsa20_ref_enc
#define crypto_kem_pqrsa20_dec crypto_kem_pqrsa20_ref_dec
#define crypto_kem_pqrsa20_PUBLICKEYBYTES crypto_kem_pqrsa20_ref_PUBLICKEYBYTES
#define crypto_kem_pqrsa20_SECRETKEYBYTES crypto_kem_pqrsa20_ref_SECRETKEYBYTES
#define crypto_kem_pqrsa20_BYTES crypto_kem_pqrsa20_ref_BYTES
#define crypto_kem_pqrsa20_CIPHERTEXTBYTES crypto_kem_pqrsa20_ref_CIPHERTEXTBYTES

#endif
